package cn.ftebox.util;

/**
 * 翻页工具类
 */
public class PageUtil {
    /**
     * 翻页方法
     */
    public static String genPagination(String targetUrl, long totalNum, int currentPage, int pageSize) {
        // 总页数
        if (totalNum == 0) {
            return "未查询到数据！";
        }
        long totalPage = totalNum % pageSize + 1L;
        StringBuffer pageCode = new StringBuffer();
        // 首页
        pageCode.append("<a class=\"btn  radius btn-block left\" style=\"width: 15%;float: left;\" href=\"").append(targetUrl).append("?page=1").append("\">首页</a>");
        // 上一页
        if (currentPage > 1) {
            pageCode.append("<a class=\"btn  radius btn-block left\" style=\"width: 30%;float: left;\" href=\"").append(targetUrl).append("?page=").append(currentPage - 1).append("\">上一页</a>");
        }else{
            pageCode.append("<a class=\"btn  radius btn-block left\" style=\"width: 30%;float: left;\" href=\"").append(targetUrl).append("?page=1").append("\">上一页</a>");
        }
        // 显示页数
        pageCode.append("<a class=\"btn  radius btn-block left\" style=\"width: 10%;float: left;\">").append(currentPage).append("</a>");
        // 下一页
        if (currentPage < totalPage) {
            pageCode.append("<a class=\"btn  radius btn-block left\" style=\"width: 30%;float: left;\" href=\"").append(targetUrl).append("?page=").append(currentPage + 1).append("\">下一页</a>");
        }else{
            pageCode.append("<a class=\"btn  radius btn-block left\" style=\"width: 30%;float: left;\" href=\"").append(targetUrl).append("?page=").append(currentPage).append("\">下一页</a>");
        }
        // 尾页
        pageCode.append("<a class=\"btn  radius btn-block left\" style=\"width: 15%;float: left;\" href=\"").append(targetUrl).append("?page=").append(currentPage).append("\">尾页</a>");
        return pageCode.toString();
    }
}
